﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register assembly="C1.Web.Wijmo.Controls.4" namespace="C1.Web.Wijmo.Controls.C1Chart" tagprefix="wijmo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
/* <![CDATA[ */
table, td
{
    border-color: #600;
    border-style: solid;

}

table
{
    border-width: 0 0 1px 1px;
    border-spacing: 0;
    border-collapse: collapse;
    vertical-align:middle;
    margin-left:auto;
    margin-right:auto;
}
td
{
    margin: 0;
    padding: 4px;
    border-width: 1px 1px 0 0;
    text-align : center;
    font-weight : bold;
}
h1
{
    text-align:center;
}
/* ]]> */
</style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <h1>Displaying Tooltips for Bound Wijmo Charts</h1>
      <table>
        <tr>
            <td>Binding At Design Time</td>
            <td>Binding At Run Time</td>
        </tr>
        <tr>
            <td>   <wijmo:C1LineChart ID="C1LineChart1" runat="server" 
            DataSourceID="AccessDataSource1">
            <SeriesTransition Duration="2000"></SeriesTransition>

            <Animation Duration="2000"></Animation>

            <Footer Compass="South" Visible="False"></Footer>

            <Legend>
            <Size Width="30" Height="3"></Size>
            </Legend>

            <Axis>
                <X Text="ProductID">
                </X>
            <Y Visible="False" Compass="West" Text="UnitPrice">
            <Labels TextAlign="Center"></Labels>

            <GridMajor Visible="True"></GridMajor>
            </Y>
            </Axis>
            <DataBindings>
                <wijmo:C1ChartBinding DataMember="Products" HintField="NewColumn" 
                    XField="ProductID" YField="UnitPrice" />
            </DataBindings>
            </wijmo:C1LineChart>
</td>
            <td>   
                <asp:PlaceHolder ID="PlaceHolder1" runat="server"></asp:PlaceHolder>
            </td>
        </tr>
      </table>
     
       <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/App_Data/Product.mdb" 
            SelectCommand="SELECT 'Product  '+ ProductName + ' is '+ iif(Discontinued,'Discontinued','Available') AS NewColumn, * FROM Products;">
        </asp:AccessDataSource>
        <br />
    
    </div>
 
    </form>
</body>
</html>
