﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using C1.Web.Wijmo.Controls.C1Chart;
using System.Data;
using System.Data.OleDb;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        createBarChart();
    }

    //C1BarChart Run time creation and binding
    void createBarChart()
    {
        C1BarChart C1BarChart1 = new C1BarChart();
        //Setting Bindings at Run time 
        C1BarChart1.SeriesList.Clear();
        string Conn = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|\Product.mdb";
        OleDbConnection co = new OleDbConnection(Conn);
        string sql = "SELECT 'Product  '+ ProductName + ' is '+ iif(Discontinued,'Discontinued','Available') AS NewColumn, * FROM Products;";
        OleDbDataAdapter adapter = new OleDbDataAdapter(sql, co);
        DataTable dt = new DataTable();
        adapter.Fill(dt);

        C1BarChart1.DataSource = dt;
        
        C1.Web.Wijmo.Controls.C1Chart.C1ChartBinding cb = new C1.Web.Wijmo.Controls.C1Chart.C1ChartBinding();
        cb.XField = "ProductId";
        cb.XFieldType = C1.Web.Wijmo.Controls.C1Chart.ChartDataXFieldType.String;

        cb.YField = "UnitPrice";
        cb.YFieldType = C1.Web.Wijmo.Controls.C1Chart.ChartDataYFieldType.Number;

        cb.HintField = "NewColumn";
        C1BarChart1.Axis.X.Text = "ProductID";
        C1BarChart1.Axis.Y.Text = "Unit Price";
        C1BarChart1.DataBindings.Add(cb);
        C1BarChart1.DataBind();


        PlaceHolder1.Controls.Add(C1BarChart1);
    }
}
